Skip to main content
GET
/
mailbox
/
messages
/
{message_id}
/
body
Get raw message body
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/body \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "id": "<string>",
    "thread_id": "<string>",
    "body": {
      "text": "<string>",
      "html": "<string>",
      "is_truncated": true,
      "truncated_at_chars": 123
    },
    "states": {
      "email_state": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

If-None-Match
string

Path Parameters

message_id
string
required

Query Parameters

part
enum<string>
Available options:
text,
html,
both
max_body_chars
integer
Required range: 1 <= x <= 1000000

Response

Raw message body

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required